## gpw 0.0.19940601

=== Makefile ===
# Makefile for password generator
# THVV 6/1/94
#

DEBUGARGS = -g
COMPILER = gcc

all : gpw loadtris
	echo gpw created, can delete loadtris

gpw : gpw.o
	$(COMPILER) $(DEBUGARGS) -o gpw gpw.o

trigram.h : loadtris
	./loadtris /usr/dict/words | sed "s/, }/}/" > trigram.h

gpw.o : gpw.c trigram.h
	$(COMPILER) $(DEBUGARGS) -o gpw.o -c gpw.c

loadtris : loadtris.o
	$(COMPILER) $(DEBUGARGS) -o loadtris loadtris.o

loadtris.o : loadtris.c
	$(COMPILER) $(DEBUGARGS) -o loadtris.o -c loadtris.c

clean : 
	rm gpw loadtris loadtris.o gpw.o # trigram.h

=== debian/changelog ===
gpw (0.0.19940601-9build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:26:38 +0000

gpw (0.0.19940601-9) unstable; urgency=medium

  * Package revamped for current times.
    (closes: #800266)
  * Applied suggested patch to avoid inconsistent bi- and trigrams
    concatenations.
    (closes: #651510)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 06 Mar 2016 11:48:14 +0100

gpw (0.0.19940601-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on wamerican instead of wenglish.  Thanks to Matt Kraai
    for the patch.  Closes: #355076.

 -- Matej Vela <vela@debian.org>  Fri, 10 Mar 2006 15:25:27 +0100

gpw (0.0.19940601-8) unstable; urgency=low

  * Policy updated.
  * Copyright file revised.
  * Typo in changelog.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 18 Dec 2002 12:40:22 +0100

gpw (0.0.19940601-7) unstable; urgency=low

  * Force the use of american-english dictionary in Makefile.Debian,
    using /usr/share/dict/american-english instead of words.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  9 Oct 2002 14:36:55 +0200

gpw (0.0.19940601-6) unstable; urgency=low

  * Limits password_length to the range [4..99]
    (Closes: #137865)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 11 Mar 2002 17:09:10 +0100

gpw (0.0.19940601-5) unstable; urgency=high

  * Changed make destination dir in rules files. The old one is incorrect
    with current version of dhelp.
    (Closes: #128806)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 14 Jan 2002 13:03:20 +0100

gpw (0.0.19940601-4) unstable; urgency=low

  * Rules file updated to current debhelper version.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  9 Jan 2002 10:50:06 +0100

gpw (0.0.19940601-3) unstable; urgency=low

  * Set correct section in gpw.1 man file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Aug 2001 15:27:45 +0200

gpw (0.0.19940601-2) unstable; urgency=low

  * Addeded Build-Depends: wenglish, debhelper in pkg control file.
    Policy standard updated as required by latest lintian.
    (Closes: #99648)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat,  2 Jun 2001 13:32:54 +0200

gpw (0.0.19940601-1) unstable; urgency=low

  * Initial Release.
  * A Debian Makefile has been written
  * Some syntax error which generate warnings with GCC have been corrected

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 30 May 2001 19:29:37 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gpw
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>=9), wamerican
Standards-Version: 3.9.7
Homepage: http://www.multicians.org/thvv/tvvtools.html

Package: gpw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Trigraph Password Generator
 This package generates pronounceable passwords. It uses the statistics of
 three-letter combinations (trigraphs) taken from whatever dictionaries you
 feed it.
 .
 Thus pronounceability may differ from language to language. Based
 on the ideas in Morrie Gasser's password generator for Multics, and Dan
 Edwards's generator for CTSS.  FIPS Standard 181 describes a similar
 digraph-based generator, derived from Gasser's.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 

override_dh_auto_configure:

override_dh_auto_clean:
	$(MAKE) -f Makefile.Debian clean

override_dh_auto_build:
	$(MAKE) -f Makefile.Debian

override_dh_auto_install:
	$(MAKE) -f Makefile.Debian install DESTDIR=debian/gpw

override_dh_auto_test:
